cIOS Install Error - BootMii / Bannerbomb Homebrew

Discussion in 'Wii - Hacking' started by amorak, Jul 7, 2009.

  1. amorak
    OP

    Newcomer amorak Newbie

    Joined:
    Mar 31, 2006
    Messages:
    8
    Country:
    Canada
    Hi everyone,

    I have a 2.5 year old wii (got it on release day!) that I have hacked using the latest versions of bannerbomb and BootMii.

    I have a working Homebrew channel on my wii, I have loaded that and then gone in to my SD Card, which has the latest version of cIOS 38r13b, and Wiigator 0.3

    My problem is, when I run the cIOS installer, it errores out with error code -1. What does that mean, and how can I fix it? I have done nothing but run the bannerbomb/ Bootmii hack to get the homebrew channel, and I am now using a different SD card to run the cIOS and Wii gator. I am booting the Wii normally without anything in the SD slot, choosing homebrew channel, and running the cIOS install, getting the above mentioned error.

    What can I do?

    Thanks!
     
  2. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    So I don't suppose you have cIOS installed already? So no upgrades, a fresh install?

    Also, what system menu version do you have? This may be an issue you'll need to fix with cboot2.
     
  3. amorak
    OP

    Newcomer amorak Newbie

    Joined:
    Mar 31, 2006
    Messages:
    8
    Country:
    Canada
    Yah, a fresh install, no CIOS previously installed, unless the bootmii/bannerbomb does it behind the scenes.

    How do I figure out what system emnu version I have?

    Posts merged

    Forgot to say, I used the boot2 install option, if that matters?
     
  4. wrettcaughn

    Member wrettcaughn Misunderstood Moral Elitist

    Joined:
    Mar 14, 2009
    Messages:
    3,785
    Country:
    United States
    It's a launch day Wii so there shouldn't be a boot2 issue. Are you on sysmenu 4.0 (go to your wii settings and it should say in the top right corner)? Try running IOS Downgrader (not cIOS Downgrader) and then try installing the cIOS again. You may just need Trucha bugged IOS.

    ***edit***
    Use this program to re-Trucha your IOS rather than IOS Downgrader.
     
  5. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    To determine your system menu version, hit the Wii button, then Wii Settings. It should tell you what it is in the top right.
     
  6. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    It's not IOS downgrader that he needs to run to get things working, he hasn't installed cIOS at all in the first place so he needs to do something to get the trucha bug back so he can use it to install it. The most recent and apparently easiest way to do this is with WiiPower's Trucha Bug Restorer:

    http://gbatemp.net/index.php?showtopic=165489

    Unless you're on system menu 3.2 or lower. If you are then I think you can just use wad manager to install some sort of cIOS wad to IOS249 like cios_fix.wad or ciosv7.wad and then just run that cIOS installer after that using IOS249.

    But since you ran cIOS rev13 which has the option to choose an IOS to use and it didn't work with whatever default IOS it was set to, I'm guessing you're not on 3.2 or lower.
     
  7. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    We still need to know what system menu he's on. If he's on 4.0, he'll need to use cboot2 to run the Trucha Bug Restorer.
     
  8. wrettcaughn

    Member wrettcaughn Misunderstood Moral Elitist

    Joined:
    Mar 14, 2009
    Messages:
    3,785
    Country:
    United States
    Not sure that's entirely true. The Trucha Bug Restorer readme should tell him everything he needs to know in order to downgrade IOS15 and use that rather than having to go through the cboot2 method.
     
  9. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    Hmm, looks like you're right.

    Although I'm not sure how it's accessing IOS15 and downgrading it. I was under the impression you needed trucha support in order to modify any IOS unless you used another exploit.
     
  10. wrettcaughn

    Member wrettcaughn Misunderstood Moral Elitist

    Joined:
    Mar 14, 2009
    Messages:
    3,785
    Country:
    United States
    Not sure how WiiPower got it to work but I know it downgrades 15 but leaves the upgraded ticket.
     
  11. damysteryman

    Member damysteryman I am too busy IRL these days...

    Joined:
    Oct 4, 2007
    Messages:
    1,182
    Country:
    Antarctica
    Error code "ret = -1" means (something) not found.

    Wait... You said you were running the installer WITHOUT the SD card in the wii?

    If you are using the "Wad Installation" mode in the installer, you will need to find a copy of the file "IOS38-64-v3610.wad" and put that on the SD card and have the SD card inside the wii when running the installer. You'll have to google for this file (or download it using NUS Downloader) as it is a Nintendo copyrighted file.
     
  12. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States

    Ah yea, this is true. You were probably trying to do the wad installation without having the wad on your sd card. Try doing the network installation instead and if that doesn't work then follow the other stuff that has been said about the Trucha Bug Restorer and what not.
     
  13. amorak
    OP

    Newcomer amorak Newbie

    Joined:
    Mar 31, 2006
    Messages:
    8
    Country:
    Canada
    I tried with the WAD on the SD card, and am now getting an error code "2011" any ideas?

    Posts merged

    Hey guys,

    I updated to 4.0 - So what does that mean in terms of getting this to run?
     
  14. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    Read the second sentence of my last post. You need to do something to get the trucha bug back on your Wii. You can do this by downgrading and installing an older IOS35 (which doesn't work on boot2v4 Wii's) or use cboot2 with bootmii as an IOS, or use the Trucha Bug Restorer from WiiPower which I linked to above in post 6. Once you get the trucha bug back in an IOS you can have that cIOS installer use that IOS that has it to install itself to IOS249.
     
  15. damysteryman

    Member damysteryman I am too busy IRL these days...

    Joined:
    Oct 4, 2007
    Messages:
    1,182
    Country:
    Antarctica
    Error 2011 means Invalid signature.

    When updating to 4.0, did you do it via wii settings (the official way). If so, that means all of your IOS have been updated and the trucha bug has been removed, therefore stopping installation of things like cIOS.

    So, like everybody was saying, you would have to run Trucha Bug Restorer to restore the trucha bug into IOS36, along with the ES_Identify patch, and then load up the Custom IOS Installer and tell it to run under IOS36 under the part where it says: "Select IOS version to use during installation"
     

Share This Page